const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return `${[year, month, day].map(formatNumber).join('/')} ${[hour, minute, second].map(formatNumber).join(':')}`
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : `0${n}`
}
const Background_base64 = path => {
  return 'data:image/png;base64,' + wx.getFileSystemManager().readFileSync(path, 'base64');

}
const getdataTime = n => {
// 引入moment.js库
const moment = require('moment');
// 获取当前时间
let currentTime = moment();
  if (n==7) {
// 获取7天前的时间
let sevenDaysAgo = moment().subtract(7, 'days');
// return sevenDaysAgo.format('YYYY-MM-DD HH:mm:ss');
return sevenDaysAgo.format('YYYY-MM');
  }else if (n==31) {
   // 获取30天前的时间
let thirtyDaysAgo = moment().subtract(30, 'days');
return thirtyDaysAgo.format('YYYY-MM');
  }else if (n==365){
// 获取当前年份的开始时间
let startOfYear = moment().subtract(1, 'days');
return startOfYear.format('YYYY');
 
  }else if(n=='当日'){
// 格式化当前时间为 YYYY-MM-DD
return currentTime.format('YYYY-MM-DD');

  }

}
const CumulativeTime = n => {
  // 引入moment.js库
const moment = require('moment');
// 获取7天前的时间
let sevenDaysAgo = moment().subtract(n, 'days');
// return sevenDaysAgo.format('YYYY-MM-DD HH:mm:ss');
return sevenDaysAgo.format('YYYY-MM-DD');
}
// 获取当前时间
const CumulativeTimess = n => {
  // 引入moment.js库
const moment = require('moment');
// 获取7天前的时间
let sevenDaysAgo = moment().subtract(n, 'days');
return sevenDaysAgo.format('YYYY-MM-DD HH:mm:ss');
}
// 时间戳转时间
const timestamp = n => {
// 使用 Date 对象将时间戳转换为日期时间字符串
const date = new Date(n);

// 使用 Date 对象的方法获取年月日时分秒
const year = date.getFullYear();
const month = date.getMonth() + 1; // 月份是从0开始的，需要加1
const day = date.getDate();
const hours = date.getHours();
const minutes = date.getMinutes();
const seconds = date.getSeconds();

// 构造你需要的日期时间格式
return `${year}-${month}-${day} ${hours}:${minutes}:${seconds}`;
}
module.exports = {
  formatTime,
  Background_base64,
  getdataTime,
  CumulativeTime,
  timestamp,
  CumulativeTimess
}
